Package be.e_contract.ejsf.validator.el

# Class ELValidatorTagHandler

java.lang.Object
javax.faces.view.facelets.TagHandler
javax.faces.view.facelets.MetaTagHandler
javax.faces.view.facelets.DelegatingMetaTagHandler
javax.faces.view.facelets.FaceletsAttachedObjectHandler
javax.faces.view.facelets.ValidatorHandler
be.e_contract.ejsf.validator.el.ELValidatorTagHandler

All Implemented Interfaces:
  `javax.faces.view.AttachedObjectHandler`, `javax.faces.view.EditableValueHolderAttachedObjectHandler`, `javax.faces.view.facelets.FaceletHandler`, `javax.faces.view.ValueHolderAttachedObjectHandler`

public class ELValidatorTagHandler extends javax.faces.view.facelets.ValidatorHandler

## Field Summary

### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

`delegateFactory`

### Fields inherited from class javax.faces.view.facelets.TagHandler

`nextHandler, tag, tagId`

## Constructor Summary

Constructors
Constructor
Description
`ELValidatorTagHandler(javax.faces.view.facelets.ValidatorConfig config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(javax.faces.view.facelets.FaceletContext context, javax.faces.component.UIComponent parent)`

### Methods inherited from class javax.faces.view.facelets.ValidatorHandler

`getTagHandlerDelegate, getValidatorConfig, getValidatorId`

### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

`applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

`applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

### Methods inherited from class javax.faces.view.facelets.TagHandler

`getAttribute, getRequiredAttribute, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.faces.view.AttachedObjectHandler

`applyAttachedObject, getFor`

## Constructor Details

### ELValidatorTagHandler

public ELValidatorTagHandler(javax.faces.view.facelets.ValidatorConfig config)

## Method Details

### apply

public void apply(javax.faces.view.facelets.FaceletContext context, javax.faces.component.UIComponent parent) throws IOException

Specified by:
  `apply` in interface `javax.faces.view.facelets.FaceletHandler`
Overrides:
  `apply` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
Throws:
  `IOException`